curl --request GET \
--url https://api.unibee.dev/merchant/metric/user/history/metric_by_subscription \
--header 'Authorization: Bearer <token>'{
"code": 123,
"data": {
"userHistoryMetric": {
"invoiceId": "<string>",
"limitStats": [
{
"maxEventId": 123,
"metricLimit": {
"MerchantId": 123,
"MetricId": 123,
"PlanLimits": [
{
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"merchantMetric": {
"aggregationProperty": "<string>",
"aggregationType": 123,
"archived": true,
"carryoverProrationEnabled": true,
"code": "<string>",
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"metaData": {},
"metricDescription": "<string>",
"metricName": "<string>",
"prorationRefundEnabled": true,
"type": 123,
"unit": "<string>"
},
"metricId": 123,
"metricLimit": 123,
"planId": 123,
"quantity": 123
}
],
"TotalLimit": 123,
"UserId": 123,
"aggregationProperty": "<string>",
"aggregationType": 123,
"code": "<string>",
"metricName": "<string>",
"quotaAdjustments": [
{
"adjustmentTime": 123,
"id": 123,
"merchantMemberEmail": "<string>",
"merchantMemberId": 123,
"previousPeriodLimit": 123,
"previousPeriodUsed": 123,
"quotaAmount": 123,
"quotaType": "<string>",
"reason": "<string>"
}
],
"type": 123
},
"minEventId": 123,
"totalLimit": 123,
"usedValue": 123
}
]
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}curl --request GET \
--url https://api.unibee.dev/merchant/metric/user/history/metric_by_subscription \
--header 'Authorization: Bearer <token>'{
"code": 123,
"data": {
"userHistoryMetric": {
"invoiceId": "<string>",
"limitStats": [
{
"maxEventId": 123,
"metricLimit": {
"MerchantId": 123,
"MetricId": 123,
"PlanLimits": [
{
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"merchantMetric": {
"aggregationProperty": "<string>",
"aggregationType": 123,
"archived": true,
"carryoverProrationEnabled": true,
"code": "<string>",
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"metaData": {},
"metricDescription": "<string>",
"metricName": "<string>",
"prorationRefundEnabled": true,
"type": 123,
"unit": "<string>"
},
"metricId": 123,
"metricLimit": 123,
"planId": 123,
"quantity": 123
}
],
"TotalLimit": 123,
"UserId": 123,
"aggregationProperty": "<string>",
"aggregationType": 123,
"code": "<string>",
"metricName": "<string>",
"quotaAdjustments": [
{
"adjustmentTime": 123,
"id": 123,
"merchantMemberEmail": "<string>",
"merchantMemberId": 123,
"previousPeriodLimit": 123,
"previousPeriodUsed": 123,
"quotaAmount": 123,
"quotaType": "<string>",
"reason": "<string>"
}
],
"type": 123
},
"minEventId": 123,
"totalLimit": 123,
"usedValue": 123
}
]
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}https://api.unibee.dev/merchant/metric/user/history/metric_by_subscription
Query User History Limit Metric By Subscription (History Query Mode, limit_metered and limit_recurring only, non-active subscription only)
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
subscriptionId | string | Yes | The unique id of subscription (must be non-active subscription or non-incomplete subscription) |
curl -X GET "https://api.unibee.dev/merchant/metric/user/history/metric_by_subscription" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
curl -X GET "https://api-sandbox.unibee.top/merchant/metric/user/history/metric_by_subscription" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json"
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.userHistoryMetric | object | |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique id of subscription (must be non-active subscription or non-incomplete subscription)